package cn.ibizlab.r7.runtime.core.r7rt_base.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_base.domain.UserRoleDatas;
import cn.ibizlab.r7.runtime.core.r7rt_base.filter.UserRoleDatasSearchContext;

/**
 * 实体[UserRoleDatas] 服务对象接口
 */

public interface IUserRoleDatasService{
     boolean save(UserRoleDatas userRoleDatas) ;
     boolean create(UserRoleDatas userRoleDatas) ;
     boolean update(UserRoleDatas userRoleDatas) ;
     boolean checkKey(UserRoleDatas userRoleDatas) ;
     UserRoleDatas get(String userRoleDatasId) ;
     UserRoleDatas get(UserRoleDatas userRoleDatas) ;
     UserRoleDatas getDraft(UserRoleDatas userRoleDatas) ;
     boolean remove(String userRoleDatasId) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<UserRoleDatas> searchDefault(UserRoleDatasSearchContext context) ;

    /**
     * 根据数据对象能力查询
     */
     Page<UserRoleDatas> selectByUserRoleData(String userroledataid) ;
     List<UserRoleDatas> selectByUserRoleData2(String userroledataid);

    /**
     * 根据用户角色查询
     */
     Page<UserRoleDatas> selectByUserRole(String userroleid) ;
     List<UserRoleDatas> selectByUserRole2(String userroleid);

}
